edu.sc.seis.sod.validator.model

## Class Annotation

- java.lang.Object
- - edu.sc.seis.sod.validator.model.Annotation

-     public class Annotation
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_HTMLIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotation()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDeprecation()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getExample()`
    `java.lang.String` | `getExample(boolean htmlize)`
    `FormProvider` | `getFormProvider()`
    `static java.lang.String` | `getHTMLizedString(java.lang.String bracketedXML)`
    `boolean` | `getInclude()`
    `java.lang.String` | `getSummary()`
    `java.lang.String` | `getVelocity()`
    `boolean` | `hasDescription()`
    `boolean` | `hasExampleFromAnnotation()`
    `boolean` | `hasSummary()`
    `Annotation` | `makeCopyWithNewFormProvider(FormProvider fp)`
    `static java.lang.String` | `replaceAllInstances(java.lang.String string, java.lang.String orig, java.lang.String replacement)`
    `void` | `setDeprecation(java.lang.String deprecation)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setExample(java.lang.String example)`
    `void` | `setFormProvider(FormProvider fp)`
    `void` | `setInclude(boolean include)`
    `void` | `setSummary(java.lang.String summary)`
    `void` | `setVelocity(java.lang.String vel)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HTMLIZE

          public static boolean DEFAULT_HTMLIZE

  - ### Constructor Detail

    - #### Annotation

          public Annotation()

  - ### Method Detail

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### setDeprecation

          public void setDeprecation(java.lang.String deprecation)

    - #### setSummary

          public void setSummary(java.lang.String summary)

    - #### setVelocity

          public void setVelocity(java.lang.String vel)

    - #### setExample

          public void setExample(java.lang.String example)

    - #### getDescription

          public java.lang.String getDescription()

    - #### getDeprecation

          public java.lang.String getDeprecation()

    - #### getSummary

          public java.lang.String getSummary()

    - #### getVelocity

          public java.lang.String getVelocity()

    - #### hasSummary

          public boolean hasSummary()

    - #### hasDescription

          public boolean hasDescription()

    - #### getExample

          public java.lang.String getExample()

    - #### setFormProvider

          public void setFormProvider(FormProvider fp)

    - #### getFormProvider

          public FormProvider getFormProvider()

    - #### getExample

          public java.lang.String getExample(boolean htmlize)

    - #### hasExampleFromAnnotation

          public boolean hasExampleFromAnnotation()

    - #### setInclude

          public void setInclude(boolean include)

    - #### getInclude

          public boolean getInclude()

    - #### getHTMLizedString

          public static java.lang.String getHTMLizedString(java.lang.String bracketedXML)

    - #### replaceAllInstances

          public static java.lang.String replaceAllInstances(java.lang.String string,
                                                             java.lang.String orig,
                                                             java.lang.String replacement)

    - #### makeCopyWithNewFormProvider

          public Annotation makeCopyWithNewFormProvider(FormProvider fp)